# ReflectionObject::__construct

(PHP 5, PHP 7)

ReflectionObject::__construct — Constructs a ReflectionObject

### Description

public ReflectionObject::__construct ( object `$argument` )

Constructs a ReflectionObject.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`argument`

  An object instance.

### Return Values

No value is returned.

### See Also

- ReflectionObject::export() - Export
- Constructors